# Not generated by rust2rpm 22
# https://pagure.io/fedora-rust/rust2rpm/issue/125
%bcond_without check

%global crate sequoia-octopus-librnp

%global tb_plugindir %{_libdir}/thunderbird
%global __provides_exclude_from ^%{tb_plugindir}/.*\\.so$

Name:           rust-sequoia-octopus-librnp
Version:        1.4.1
Release:        %autorelease
Summary:        Reimplementation of RNP's interface using Sequoia

License:        LGPL-2.0-or-later
URL:            https://crates.io/crates/sequoia-octopus-librnp
Source0:        %{crates_source}
Source1:        LICENSE.dependencies
# Manually created patch for downstream crate metadata changes
# * enable default features in rand and rand_distr dependencies:
#   fixes undefined references to rand::thread_rng
# * exclude files only useful for upstream development
# * do not use bundled sqlite in rusqlite
# * bump rusqlite to 0.26
# * drop build script and build-dependencies:
#   git repository is not available when building from published crates
Patch:          sequoia-octopus-librnp-fix-metadata.diff
Patch:          0001-drop-broken-build-script-based-git-versioning.patch

ExclusiveArch:  %{rust_arches}
# exclude architectures where thunderbird is not available
ExcludeArch:    %{arm} s390x

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Reimplementation of RNP's interface using Sequoia for use with Thunderbird.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# 0BSD OR MIT OR Apache-2.0
# Apache-2.0
# Apache-2.0 OR BSL-1.0
# Apache-2.0 OR MIT
# BSL-1.0
# LGPL-2.0-or-later
# LGPL-3.0 OR GPL-2.0 OR GPL-3.0
# LGPL-3.0+
# MIT
# MIT OR Apache-2.0
# MIT OR Apache-2.0 OR Zlib
# MIT OR LGPL-3.0-or-later
# MIT OR Zlib OR Apache-2.0
# Unlicense OR MIT
# Zlib OR Apache-2.0 OR MIT
License:        Apache-2.0 AND BSL-1.0 AND LGPL-3.0 AND MIT
# LICENSE.dependencies contains a full license breakdown

Requires:       thunderbird%{?_isa}
Provides:       thunderbird-librnp
Provides:       thunderbird-librnp%{?_isa}
Conflicts:      thunderbird-librnp%{?_isa}

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE.txt
%license LICENSE.dependencies
%doc README.md
%{tb_plugindir}/librnp.so

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
cp %{SOURCE1} .
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
mkdir -p %{buildroot}/%{tb_plugindir}
cp -pav target/release/libsequoia_octopus_librnp.so %{buildroot}/%{tb_plugindir}/librnp.so

%if %{with check}
%check
%cargo_test
%endif

%changelog
%autochangelog
